Bug 1027303 - [Usability] Error messages should be more descriptive
[Usability] Error messages should be more descriptive
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console - UX (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.4.0
Assigned To: Catherine Robson
Pavel Jelinek
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-11-06 09:01 EST by Jakub Cechacek
Modified: 2017-10-09 20:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-07-09 07:38:09 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-11-06 09:01:39 EST
Whenever operation fails console will show "Unknown Error" with message being the exact copy of what came from serve -- e.g. "JBAS010440: failed to invoke operation: JBAS010447: Connection is not valid".

From user's point of view such messages are often unclear. As far as I know the server response is the only source of information about what went wrong, thus imrpoving messages itself might be a bit tricky. However it should be at least possible to parse error name from the response, instead of using general "Unknown Error"
Comment 1 Heiko Braun 2014-07-09 07:38:09 EDT
In agreement with Catherine we've decided that UX issues will be tracked separately.
Comment 2 Jakub Cechacek 2014-07-21 02:21:33 EDT
Issue moved under the UX component. 

Also moved to 6.4 as this issue is still valid for 6.3. Use ack flags to decide whether we want to go through with it or not.

Note You need to log in before you can comment on or make changes to this bug.